Package org.apache.lucene.codecs.simpletext

# Class SimpleTextCompoundFormat

java.lang.Object
org.apache.lucene.codecs.CompoundFormat
org.apache.lucene.codecs.simpletext.SimpleTextCompoundFormat

public class SimpleTextCompoundFormat extends CompoundFormat
plain text compound format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextCompoundFormat()`
  Sole constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompoundDirectory`
  `getCompoundReader(Directory dir, SegmentInfo si)`
  `void`
  `write(Directory dir, SegmentInfo si, IOContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTextCompoundFormat

    public SimpleTextCompoundFormat()
    Sole constructor.

- ## Method Details

  - ### getCompoundReader

    public CompoundDirectory getCompoundReader(Directory dir, SegmentInfo si) throws IOException
    Specified by:
      `getCompoundReader` in class `CompoundFormat`
    Throws:
      `IOException`

  - ### write

    public void write(Directory dir, SegmentInfo si, IOContext context) throws IOException
    Specified by:
      `write` in class `CompoundFormat`
    Throws:
      `IOException`